Delete customer by ID
curl --request DELETE \
--url https://public-test.blips.network/customers/{customerId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://public-test.blips.network/customers/{customerId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://public-test.blips.network/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": true,
"id": "00000000-0000-4000-8000-000000000001"
}{
"status": 400,
"code": "INVALID_REQUEST",
"message": "Invalid customerId path value",
"details": {
"customerId": "must be a non-empty customer identifier"
}
}{
"status": 401,
"code": "UNAUTHORIZED",
"message": "Invalid or missing API credentials",
"details": {}
}{
"status": 404,
"code": "CUSTOMER_NOT_FOUND",
"message": "Customer not found",
"details": {}
}{
"status": 410,
"code": "CUSTOMER_DELETED",
"message": "Customer already deleted",
"details": {}
}{
"status": 500,
"code": "INTERNAL_ERROR",
"message": "Internal service error",
"details": {}
}Customers
Delete customer by ID
Delete one customer record for your authenticated platform. Deleting a customer also removes or invalidates customer-bound resources, and repeated delete returns 410.
DELETE
/
customers
/
{customerId}
Delete customer by ID
Authorizations
Integration-key Basic Auth (clientId:clientSecret) as documented in docs/public/AUTHENTICATION.md.
Path Parameters
System-generated customer UUID for the customer record addressed by this endpoint.
Response
Customer deleted.
⌘I